Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class ProjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.project.ProjectException

All Implemented Interfaces:
  Serializable

    public class ProjectException

extends CayenneRuntimeException

Runtime exception thrown on various errors within project model.

Author:
  Andrus Adamchik
See Also:
  Serialized Form

Constructor Summary
`ProjectException()` Constructor for ProjectException.
`ProjectException(String msg)` Constructor for ProjectException.
`ProjectException(String msg, Throwable th)` Constructor for ProjectException.
`ProjectException(Throwable th)` Constructor for ProjectException.

Method Summary

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectException

    public ProjectException()

  Constructor for ProjectException.

### ProjectException

    public ProjectException(String msg)

  Constructor for ProjectException.

### ProjectException

    public ProjectException(Throwable th)

  Constructor for ProjectException.

### ProjectException

    public ProjectException(String msg,
                            Throwable th)

  Constructor for ProjectException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.